﻿// Disclaimer:
// This software is provided AS IS for educational purposes only,
// with no warranties, and confers no rights. Error checking and 
// security are elided for clarity. Carry out sufficient tests 
// prior to using it in a productive environment.
// CASIO Europe GmbH accepts no responsibility for loss or damage
// arising from its use, including damage from virus.
//
// Please, note: This configuration information may be changed
// without any further notice.
// Casio Europe GmbH does not guarantee future compatibility. By 
// using this software you agree to these terms and conditions.
//
// Version 1.00 - March 07, 2011
// Supported Devices: IT-300
//
// This software is intended to be used as plugin for CASIO Active
// Menu. It can be used to restrict the access to certain menu
// entries by asking for user name and password. For further details
// refer to CASIO Active Menu User's Guide, please.
// In order to restrict the access to a certain menu entry you have 
// to modify the SystemMenu.xml file on your IT-300. You can find it
// at \Program Files\CASIO\ActiveMenu\ENV\INI. First, make a backup
// of this file. Then, add or modify the desired menu entry. 
// If the return value of the plugin is 0, the menu item is locked.
// If the return value of the plugin is 1, the menu item is enabled.
// Please, check also the program.cs file to see how to return a 
// value from a Compact Framework application.
// You can find a modified sample of the SystemMenu.xml in the 
// project directory.
//
// Example:
//
// <Menu>
//   <MenuName>Main Menu</MenuName>
//   <BtnTitle>Calculator</BtnTitle>
//   <FontID>2</FontID>
//   <FontColorID>1</FontColorID>
//   <BtnImageID>8</BtnImageID>
//   <Command>exec</Command>
//   <ExePath>\windows\MobileCalculator.exe</ExePath>
//   <ExeOption />
//   <Plugin>\Program Files\ActiveMenuPlugin\ActiveMenuPlugin.exe</Plugin>
// </Menu>
//
//////////////////////////////////////////////////////////////////////

using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ActiveMenuPlugin
{
    public partial class MainForm : Form
    {
        /////////////////////////////////////////////////////////////////////////////
        // We warn against hard-coding credentials.
        // Always store credentials encrypted in the registry or in a config file.
        /////////////////////////////////////////////////////////////////////////////
        private const string UserGuest = "Guest";
        private const string PasswordGuest = "1234";

        public MainForm()
        {
            InitializeComponent();

            this.tbxUser.Text = UserGuest;
            this.tbxPassword.Focus();
        }

        private void menuCheck_Click(object sender, EventArgs e)
        {
            if (Validate(this.tbxUser.Text, this.tbxPassword.Text) == true)
            {
                Program.result = Program.ResultOK;
            }

            Close();
        }

        private void menuCancel_Click(object sender, EventArgs e)
        {
            Close();
        }

        private bool Validate(string user, string password)
        {
            bool result = false;

            switch (user)
            {
                case UserGuest:
                    if (PasswordGuest == password)
                        result = true;
                    break;
                default:
                    break;
            }

            return result;
        }
    }
}